Package com.tick42.glue.internal

# Class Tick42Glue.Builder

java.lang.Object
com.tick42.glue.internal.Tick42Glue.Builder

All Implemented Interfaces:
  `GlueApplication.Builder<Glue.Builder,​Glue>`, `Glue.Builder`

Enclosing class:
  Tick42Glue

    public static class Tick42Glue.Builder
    extends Object
    implements Glue.Builder

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Builder()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `CompletionStage<Tick42Glue>` | `buildAsync()` | Creates the Glue application with the options specified by this builder.
  `Tick42Glue.Builder` | `disableStartingContext()` | Ignore configuration provided via `_GD_STARTING_CONTEXT_` environment variable.
  `Tick42Glue.Builder` | `withApplicationName​(String applicationName)` | Set the desired application name.
  `Tick42Glue.Builder` | `withArgs​(String... args)` |
  `Tick42Glue.Builder` | `withConfigLoader​(Supplier<GlueConfig> configLoader)` | Set the configuration loader to use.
  `Tick42Glue.Builder` | `withConnection​(com.tick42.gateway.connection.GatewayConnection connection)` |
  `Tick42Glue.Builder` | `withInitialListener​(GlueEvent.Listener<?>... listeners)` |
  `Tick42Glue.Builder` | `withShutdownRequestListener​(Consumer<Glue> shutdownRequestListener)` | Set shutdown listener.
  `Tick42Glue.Builder` | `withStartingOptions​(StartingOptions startingOptions)` |

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.tick42.glue.core.GlueApplication.Builder

  `build`

- ## Constructor Details

  - ### Builder

    public Builder()

- ## Method Details

  - ### withConnection

    public Tick42Glue.Builder withConnection​(com.tick42.gateway.connection.GatewayConnection connection)

  - ### disableStartingContext

    public Tick42Glue.Builder disableStartingContext()
    Description copied from interface: `Glue.Builder`
    Ignore configuration provided via `_GD_STARTING_CONTEXT_` environment variable.
    Specified by:
      `disableStartingContext` in interface `Glue.Builder`

  - ### withStartingOptions

    public Tick42Glue.Builder withStartingOptions​(StartingOptions startingOptions)

  - ### withConfigLoader

    public Tick42Glue.Builder withConfigLoader​(Supplier<GlueConfig> configLoader)
    Description copied from interface: `GlueApplication.Builder`
    Set the configuration loader to use.
    Specified by:
      `withConfigLoader` in interface `GlueApplication.Builder<Glue.Builder,​Glue>`
    Parameters:
      `configLoader` - configuration loader to use, not `null`
    Returns:
      this builder, never `null`

  - ### withApplicationName

    public Tick42Glue.Builder withApplicationName​(String applicationName)
    Description copied from interface: `GlueApplication.Builder`
    Set the desired application name.
    Specified by:
      `withApplicationName` in interface `GlueApplication.Builder<Glue.Builder,​Glue>`
    Parameters:
      `applicationName` - name to use, not `null`
    Returns:
      this builder, never `null`

  - ### withShutdownRequestListener

    public Tick42Glue.Builder withShutdownRequestListener​(Consumer<Glue> shutdownRequestListener)
    Description copied from interface: `GlueApplication.Builder`
    Set shutdown listener.
    Specified by:
      `withShutdownRequestListener` in interface `GlueApplication.Builder<Glue.Builder,​Glue>`
    Parameters:
      `shutdownRequestListener` - the listener to use, not `null`
    Returns:
      this builder, never `null`

  - ### withArgs

    public Tick42Glue.Builder withArgs​(String... args)

  - ### withInitialListener

    public Tick42Glue.Builder withInitialListener​(GlueEvent.Listener<?>... listeners)

  - ### buildAsync

    public CompletionStage<Tick42Glue> buildAsync()
    Description copied from interface: `GlueApplication.Builder`
    Creates the Glue application with the options specified by this builder.
    Specified by:
      `buildAsync` in interface `GlueApplication.Builder<Glue.Builder,​Glue>`
    Returns:
      a stage that completes when the Glue application is fully initialized, never `null`